Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.channels
Class CContentSubscriber.ListItem

    java.lang.Object
      org.jasig.portal.layout.alm.channels.CContentSubscriber.ListItem

Enclosing class:
  CContentSubscriber

    private class CContentSubscriber.ListItem

extends java.lang.Object

Field Summary
`private java.lang.String` | `categoryId`
`private java.lang.String` | `channelState`
`private java.lang.String` | `itemId`
`private java.lang.String` | `name`

Constructor Summary
`CContentSubscriber.ListItem(java.lang.String categoryId, java.lang.String itemId, java.lang.String name, java.lang.String channelState)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCategoryId()`
`java.lang.String` | `getChannelState()`
`java.lang.String` | `getItemId()`
`java.lang.String` | `getName()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemId

    private java.lang.String itemId

### name

    private java.lang.String name

### categoryId

    private java.lang.String categoryId

### channelState

    private java.lang.String channelState

Constructor Detail

### CContentSubscriber.ListItem

    public CContentSubscriber.ListItem(java.lang.String categoryId,
                                       java.lang.String itemId,
                                       java.lang.String name,
                                       java.lang.String channelState)

Method Detail

### getItemId

    public java.lang.String getItemId()

### getCategoryId

    public java.lang.String getCategoryId()

### getName

    public java.lang.String getName()

### getChannelState

    public java.lang.String getChannelState()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD